#
# Rebuild option:
#
#   --with testsuite         - run the test suite (requires network)
#

Name:           perl-WWW-Bugzilla
Version:        0.8
Release:        1%{?dist}
Summary:        Handles submission/update of bugzilla bugs via WWW::Mechanize

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/WWW-Bugzilla/
Source0:        http://www.cpan.org/authors/id/B/BM/BMC/WWW-Bugzilla-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Class::MethodMaker) >= 1.08
BuildRequires:  perl(WWW::Mechanize) >= 0.40
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Class::MethodMaker) >= 1.08

%description
This module provides a perl API for adding and updating Bugzilla bugs.
It can be useful in writing custom frontends to a Bugzilla server, and
the frontends do not have to sit on the same server as long as they
can reach it via HTTP.


%prep
%setup -q -n WWW-Bugzilla-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ARTISTIC Changes GPL README
%{perl_vendorlib}/WWW/
%{_mandir}/man3/*.3pm*


%changelog
* Mon Jun 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.8-1
- Update to 0.8.
- Red Hat's bugzilla logins are now working
  (http://rt.cpan.org/Public/Bug/Display.html?id=19819).

* Sun Jun 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.7-1
- Update to 0.7.
- SSL logins are now working
  (http://rt.cpan.org/Public/Bug/Display.html?id=13262).

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.6-1
- First build.
